/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.statistik.entity;

public interface StatistikKennzeichenBase extends 
de.ivu.elect.jee.entity.Entity<StatistikKennzeichenPK, StatistikKennzeichenUK>
{

  
  /**
   * getter for primary key wrapper STATISTIK_KENNZEICHEN.statistik_kennzeichen_id
   *
   * @return
   */
  @Override
  StatistikKennzeichenPK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * 
   *
   * getter for STATISTIK_KENNZEICHEN.KENNZEICHEN
   *
   */
  de.ivu.elect.business.statistik.entity.StatistikKennzeichenArt getKennzeichen();

  /**
   * 
   *
   * setter for STATISTIK_KENNZEICHEN.KENNZEICHEN
   *
   * @param kennzeichen
   */
  void setKennzeichen(de.ivu.elect.business.statistik.entity.StatistikKennzeichenArt kennzeichen);
      

  /**
   * 
   *
   * getter for STATISTIK_KENNZEICHEN.QUALIFIER
   *
   */
  java.lang.String getQualifier();

  /**
   * 
   *
   * setter for STATISTIK_KENNZEICHEN.QUALIFIER
   *
   * @param qualifier
   */
  void setQualifier(java.lang.String qualifier);
      

  /**
   * 
   *
   * getter for STATISTIK_KENNZEICHEN.WERT
   *
   */
  java.lang.Long getWert();

  /**
   * 
   *
   * setter for STATISTIK_KENNZEICHEN.WERT
   *
   * @param wert
   */
  void setWert(java.lang.Long wert);
  
/**
 * Beziehungen N:1 unidirektional
 */

  /**
   * 
   */
  void setGebiet(de.ivu.elect.business.gebietsbaum.entity.Gebiet gebiet);

  /**
   * 
   */
  de.ivu.elect.business.gebietsbaum.entity.Gebiet getGebiet();



  /**
   * 
   */
  void setStatistikLauf(de.ivu.elect.business.statistik.entity.StatistikLauf statistikLauf);

  /**
   * 
   */
  de.ivu.elect.business.statistik.entity.StatistikLauf getStatistikLauf();



  /**
   * 
   */
  void setWahl(de.ivu.elect.business.wahl.entity.Wahl wahl);

  /**
   * 
   */
  de.ivu.elect.business.wahl.entity.Wahl getWahl();



/**
 * Beziehungen N:1 bidirektional
 */


/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
